#' Key of Correct Answers for Homeostasis Concept Inventory Dataset
#'
#' @docType data
#' @name HCIkey
#' @description The \code{HCIkey} is a vector of factors representing correct answers of
#' \code{HCItest} dataset.
#' @usage data(HCIkey)
#'
#' @author
#' Jenny L. McFarland \cr
#' Biology Department, Edmonds Community College
#'
#' @references
#' McFarland, J. L., Price, R. M., Wenderoth, M. P., Martinkova, P., Cliff, W., Michael, J., ... & Wright, A. (2017).
#' Development and validation of the homeostasis concept inventory. CBE-Life Sciences Education, 16(2), ar35.
#'
#' @keywords datasets
#'
#' @seealso \code{\link{HCI}}, \code{\link{HCItest}}
#'
#' @format A \code{data.frame} with 20 values representing correct answers to items of \code{HCItest} dataset.
#' For more details see \code{\link{HCItest}}.
"HCIkey"

